> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Invoice



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/subcontract-invoices/{invoice_id}/post
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/subcontract-invoices/{invoice_id}/post:
    post:
      tags:
        - Subcontract
      summary: Post Invoice
      operationId: post_invoice_api_v1_subcontract_invoices__invoice_id__post_post
      parameters:
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Invoice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostingResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PostingResponse:
      properties:
        invoiceId:
          type: string
          title: Invoiceid
        entryId:
          type: string
          title: Entryid
        entryNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Entrynumber
        status:
          type: string
          title: Status
        glPosted:
          type: boolean
          title: Glposted
      type: object
      required:
        - invoiceId
        - entryId
        - status
        - glPosted
      title: PostingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````